# $Revision: 1.85 $, $Date: 2008-01-12 13:25:59 $
Summary:	Simple bootloader
Summary(pl.UTF-8):	Prosty bootloader
Summary(pt_BR.UTF-8):	Carregador de boot simples
Summary(zh_CN.UTF-8):	Linux操作系统的启动管理器
Name:		syslinux
Version:	3.60
Release:	1
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.kernel.org/pub/linux/utils/boot/syslinux/%{name}-%{version}.tar.bz2
# Source0-md5:	96e11c6baa87a937b0726b07d687cb7b
URL:		http://syslinux.zytor.com/
BuildRequires:	nasm
BuildRequires:	perl-base
BuildRequires:	sed >= 4.0
Requires:	mtools
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
SYSLINUX is a boot loader for the Linux operating system which
operates off MS-DOS floppies. It is intended to simplify first-time
installation of Linux, rescue disks, and other uses for boot floppies.
A SYSLINUX floppy can be manipulated using standard MS-DOS (or any
other OS that can access an MS-DOS filesystem) tools once it has been
created, and requires only a ~ 7K DOS program or ~ 13K Linux program
to create it in the first place. It also includes PXELINUX, a program
to boot off a network server using a boot PROM compatible with the
Intel PXE (Pre-Execution Environment) specification.

%description -l pl.UTF-8
SYSLINUX jest boot-loaderem dla Linuksa, który operuje na dyskietkach
z systemem plików MS-DOS. Jego przeznaczeniem jest uproszczenie
pierwszej instalacji Linuksa, dyskietki ratunkowe oraz inne rzeczy
związane z dyskietkami. Dyskietka syslinuksowa może być modyfikowana w
systemie MS-DOS (a także każdym innym systemie z dostępem do systemu
plików MS-DOS) gdy narzędzia są już stworzone, a także potrzebuje
tylko ~7K programu DOS-owego lub ~13K programu linuksowego do
stworzenia ich po raz pierwszy. Zawiera także program PXELINUX -
program służący do bootowania serwera sieciowego poprzez Boot-PROM
kompatybilny ze specyfikacją Intel PXE (Pre-Execution Environment).

%description -l pt_BR.UTF-8
SYSLINUX é um carregador de boot para o linux, operando em disquetes
com formatação DOS. Sua intenção é simplificar instalações do Linux,
discos de recuperação, e outros usos para disquetes de boot. Um
disquete SYSLINUX pode ser manipulado usando ferramentas padrão do DOS
(ou qualquer sistema que possa acessar um filesystem DOS) e requer
somente um programa DOS de aproximadamente 7K ou linux de 13K para
criá-lo na primeira vez.

Também inclui o PXELINUX, um programa para boot remoto a partir de um
servidor de rede usando um boot PROM compatível com a especificação
Intel PXE (Pre-Execution Environment).

%package devel
Summary:	Header files for syslinux libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek syslinux
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description devel
This package includes the header files needed for compilation of
applications that are making use of the syslinux internals. Install
this package only if you plan to develop or will need to compile
customized syslinux clients.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do kompilowania
aplikacji wykorzystujących kod syslinuksa. Należy go instalować tylko
jeśli chcemy tworzyć lub kompilować własnych klientów syslinuksa.

%prep
%setup -q
sed -i 's/-march=i386//' sample/Makefile
sed -i 's/FPNG_NO_WRITE_SUPPORTED/DPNG_NO_WRITE_SUPPORTED/' com32/lib/MCONFIG

%build
rm -f ldlinux.{bin,bss,lst,sys}
%{__make} -j1 installer \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{name},%{_includedir}}
install ldlinux.sys $RPM_BUILD_ROOT%{_libdir}/%{name}

%{__make} -j1 install-all \
	INSTALLROOT=$RPM_BUILD_ROOT \
	LIBDIR=%{_libdir} \
	MANDIR=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README* doc/*.doc com32/modules/mboot.doc
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/???[.a-z]*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%{_libdir}/%{name}/com32

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: syslinux.spec,v $
Revision 1.85  2008-01-12 13:25:59  areq
- 3.60, add man1

Revision 1.84  2007-12-13 21:40:47  areq
- 3.54

Revision 1.83  2007-11-19 20:28:11  areq
- 3.53

Revision 1.82  2007/09/30 10:45:52  arekm
- 32bit lib no longer needed when building on 64bit host

Revision 1.81  2007/09/26 19:37:08  areq
- 3.52

Revision 1.80  2007/06/30 21:16:19  arekm
- up to 3.51

Revision 1.79  2007/06/10 15:08:51  areq
- 3.50

Revision 1.78  2007/06/02 22:09:29  arekm
- rel 2; BR 32bit glibc only for x86_64

Revision 1.77  2007/06/02 22:01:09  arekm
- up to 3.36

Revision 1.76  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.75  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.74  2007/01/29 21:28:49  areq
- 3.35

Revision 1.73  2007/01/12 08:27:31  arekm
- typo fixed in MCONFIG

Revision 1.72  2006/10/06 13:29:44  qboosh
- updated to 3.31

Revision 1.71  2006/09/22 06:32:27  hawk
- updated to 3.30

Revision 1.70  2006/09/11 10:24:04  qboosh
- updated to 3.20 (needs check)

Revision 1.69  2006/07/26 15:56:36  glen
- remove extra unneeded slash

Revision 1.68  2005/10/21 14:20:53  darekr
- BR: sed 4.0
- defined _sbindir to /sbin, use macro

Revision 1.67  2005/09/03 10:25:01  areq
- 3.11

Revision 1.66  2005/08/24 22:30:01  areq
- 3.10

Revision 1.65  2005/07/08 07:52:11  arekm
- add all readme files

Revision 1.64  2005/06/18 09:44:23  areq
- 3.09

Revision 1.63  2005/06/17 20:01:57  areq
- fix build on amd64

Revision 1.62  2005/05/21 07:52:47  qboosh
- package /sbin/extlinux and mbr.bin

Revision 1.61  2005/05/21 06:58:42  paszczus
- updated to 3.0.8

Revision 1.60  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.59  2005/01/12 22:01:07  areq
- 3.07

Revision 1.58  2005/01/10 15:34:46  areq
- 3.06

Revision 1.57  2005/01/09 21:37:20  areq
- 3.05

Revision 1.56  2004/12/31 13:05:07  paszczus
- updated to 3.00
- removed Patch0: syslinux-nowin32.patch
- commented out some files
- commented out %libs subpackage
- release 0.1

Revision 1.55  2004/12/15 09:31:43  qboosh
- missing dir

Revision 1.54  2004/12/15 09:25:02  areq
- 2.13
- move com32 Development environment to -devel

Revision 1.53  2004/12/14 08:45:46  areq
- 2.12

Revision 1.52  2004/12/13 12:57:40  qboosh
- spacing

Revision 1.51  2004/12/13 12:55:20  areq
- add amd64

Revision 1.50  2004/11/14 18:04:20  areq
-  add syslinux-nomtools

Revision 1.49  2004/10/30 00:10:12  qboosh
- pl fixes

Revision 1.48  2004/10/29 11:18:00  paladine
- spelling fixes

Revision 1.47  2004/10/21 13:35:02  qboosh
- s/perl/perl-base/

Revision 1.46  2004/09/20 21:44:15  havner
- doesn't build on amd64, exclude until somebody fixes it

Revision 1.45  2004/09/03 11:14:49  hawk
- ldlinux.sys is required to build bootdisks, make it compile and include
  it in package

Revision 1.44  2004/08/16 20:57:11  hawk
- updated to 2.11

Revision 1.43  2004/06/18 22:17:43  areq
- 2.10

Revision 1.42  2004/04/27 19:16:25  ankry
- cosmetics

Revision 1.41  2004/04/27 18:25:44  qboosh
- fixed bogus descriptions

Revision 1.40  2004/04/27 17:57:19  arekm
- according to mailing list it should compile on amd64, too

Revision 1.39  2004/04/27 17:44:37  arekm
- updated to 2.09; introduced libs/devel/static subpackages

Revision 1.38  2003/12/23 07:38:57  misi3k
- updated to 2.08

Revision 1.37  2003/11/23 11:54:03  areq
- 2.07

Revision 1.36  2003/10/21 20:45:52  martii
- mcopy needed while running syslinux

Revision 1.35  2003/08/24 22:57:30  undefine
- update to 2.06

Revision 1.34  2003/07/17 21:34:53  areq
- 2.05

Revision 1.33  2003/05/28 13:02:09  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 06:27:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/05/22 23:59:05  malekith
- added patch for bogus cpp comments (gcc3? gcc33 specific?)
- release 2

Revision 1.30  2003/04/17 11:22:01  areq
- 2.04

Revision 1.29  2003/04/14 18:02:37  areq
- 2.03
- hashed no_mount.patch need check

Revision 1.28  2003/02/01 19:09:23  areq
- 2.01, STBR

Revision 1.27  2002/12/02 11:06:27  ankry
- massive cleaning

Revision 1.26  2002/10/27 16:23:40  areq
- 2.00, STBR

Revision 1.25  2002/08/28 07:55:01  areq
- 1.76, STBR

Revision 1.24  2002/07/20 17:12:08  kloczek
- bump release to 4 and merge translations from TurboLinux.

Revision 1.23  2002/07/20 17:04:06  areq
- 1.75, STBR (this version contains a number of bug fixes and minor feature )
- new %doc

Revision 1.22  2002/05/06 01:08:54  misiek
- use proper cc

Revision 1.21  2002/05/05 23:56:17  misiek
- include memdisk; rel 2

Revision 1.20  2002/04/29 19:45:33  filon
- updated to 1.72

Revision 1.19  2002/04/19 06:50:22  kloczek
- merge translations from Conectiva.

Revision 1.18  2002/04/18 10:52:07  zagrodzki
- updated to 1.71
- STBR

Revision 1.17  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/07 03:02:31  kloczek
- adapterized.

Revision 1.14  2002/02/06 23:12:10  filon
- updated to 1.67

Revision 1.13  2002/01/18 02:15:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/09/01 22:02:18  klakier
- added 'pxelinux.0' (thanks to Wanderlei Antonio Cavassin form Conectiva)

Revision 1.11  2001/08/19 17:42:59  kloczek
- updated to 1.63.

Revision 1.10  2001/05/31 17:26:48  malekith
- rel 2, with no mount patch. STBR

Revision 1.9  2001/05/11 23:14:25  klakier
- patch no_mount rewritten

Revision 1.8  2001/05/11 19:46:20  blues
- translation

Revision 1.7  2001/05/11 17:47:04  klakier
- resurrected no_mount.patch
  DO NOT REMOVE no_root.patch WITHOUT CONSULTING ME!!!

Revision 1.6  2001/04/24 20:30:53  areq
- 1.62

Revision 1.5  2001/04/13 22:37:57  kloczek
- updated to 1.61.

Revision 1.4  2001/04/12 18:24:32  kloczek
- removed commented Patch0.

Revision 1.3  2001/04/10 22:04:02  areq
- 1.60
- comment no_mount.patch

Revision 1.2  2001/04/06 22:54:25  kloczek
- spec adapterized,
- added gzipping %doc.

Revision 1.1  2001/04/06 11:34:39  klakier
- small bootloader
